package dendrarium.portal.stats;

import dendrarium.core.entities.User;
import java.io.Serializable;

/**
 *
 * @author tomek
 */
public class SuperStatsData implements Serializable {

    private User user;

    private Long superSolvedCollisionsNum;

    private Long superCollisionsNum;

    public SuperStatsData(User user) {
        this.user = user;
    }

    /**
     * @return the superSolvedCollisionsNum
     */
    public Long getSuperSolvedCollisionsNum() {
        return superSolvedCollisionsNum;
    }

    /**
     * @param superSolvedCollisionsNum the superSolvedCollisionsNum to set
     */
    public void setSuperSolvedCollisionsNum(Long superSolvedCollisionsNum) {
        this.superSolvedCollisionsNum = superSolvedCollisionsNum;
    }

    /**
     * @return the superCollisionsNum
     */
    public Long getSuperCollisionsNum() {
        return superCollisionsNum;
    }

    /**
     * @param superCollisionsNum the superCollisionsNum to set
     */
    public void setSuperCollisionsNum(Long superCollisionsNum) {
        this.superCollisionsNum = superCollisionsNum;
    }    
}
